package com.qmth.boot.api.config;

import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;

@Validated
public class ActuatorProperties {

    @NotNull
    private String[] endpoint = new String[] { "info", "health", "metrics", "prometheus" };

    public String[] getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String[] endpoint) {
        this.endpoint = endpoint;
    }
}
